org.apache.cassandra.db

## Class RangeSliceVerbHandler

- java.lang.Object
- - org.apache.cassandra.db.ReadCommandVerbHandler
  - - org.apache.cassandra.db.RangeSliceVerbHandler

- All Implemented Interfaces:
    IVerbHandler<ReadCommand>

      public class RangeSliceVerbHandler
      extends ReadCommandVerbHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeSliceVerbHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IVersionedSerializer<ReadResponse>` | `serializer()`

    - ### Methods inherited from class org.apache.cassandra.db.ReadCommandVerbHandler

      `doVerb`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeSliceVerbHandler

          public RangeSliceVerbHandler()

  - ### Method Detail

    - #### serializer

          protected IVersionedSerializer<ReadResponse> serializer()

      Overrides:
        `serializer` in class `ReadCommandVerbHandler`

Copyright © 2018 The Apache Software Foundation